#if !defined(AFX_PREDRAW_H__819B729C_362E_4C86_A7D6_15B2904D33C3__INCLUDED_)
#define AFX_PREDRAW_H__819B729C_362E_4C86_A7D6_15B2904D33C3__INCLUDED_

#include "PropertyPageBase.h"	// For Baseclass.

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PreDraw.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCPropertyPageBase

/////////////////////////////////////////////////////////////////////////////
// CFCPreDraw _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCPreDraw : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCPreDraw)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCPreDraw();
	~CFCPreDraw();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCPreDraw)
	enum { IDD = IDD_PRE_DRAW };
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDgGiBfLiDfO_xHqqkZx_ _xZkqqHx_iDiBiDjDiDgPiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
		//    _xZkqqHx_iClBiCmMiImKjChFiCmJjAlGjAkMiClDiCoKiCoJiDfCiBfLiDgIiCpAjFnCiPfHiClFiCmIiCkCiCmFiCkNiClOiClDiCkCiBeC_xHqqkZx_
	//}}AFX_DATA

// _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_
protected:
	virtual BOOL	IsConsistent () const;
	virtual void	UpdateModified ();
	virtual void	UpdateControls (DWORD dwCtrl);
	virtual void	UpdateActivate ();

// _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiBeC_xHqqkZx_
protected:
	FCPrpAttr<DWORD>	m_tdwEditDrawMode;
	FCPrpAttr<DWORD>	m_tdwEditDrawPen;
	FCPrpAttr<DWORD>	m_tdwEditDrawText;
	BOOL	m_bIsReady;	// _xZkqqHx_iPiIjHjNiPiAjEpFiCgOiCgKiBeI_xHqqkZx_

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCPreDraw)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCPreDraw)
	virtual BOOL OnInitDialog();
	afx_msg void OnDrwRdoXorDraw();
	afx_msg void OnDrwRdoNotDraw();
	afx_msg void OnDialogInitValue();
	afx_msg void OnDrwRdoGeometric();
	afx_msg void OnDrwRdoCosmetic();
	afx_msg void OnDrwRdoExttextout();
	afx_msg void OnDrwRdoTextout();
	afx_msg void OnDrwRdoDrawtextex();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PREDRAW_H__819B729C_362E_4C86_A7D6_15B2904D33C3__INCLUDED_)
